dofile(ModPath.."Lua/MasterChief_soundplayback.lua")
dofile(ModPath.."Menu/MasterChief_menumanager.lua")

local CopiedSoundDevice
if SoundDevice and type(SoundDevice) == "userdata" then
	CopiedSoundDevice = getmetatable(SoundDevice)
end
if CopiedSoundDevice then
	local _CopiedSoundDevice_set_state = CopiedSoundDevice.set_state
	function CopiedSoundDevice:set_state(type, state)
		if type == "wave_flag" and MicrosoftJacket then
			MicrosoftJacket._current_wave_flag = state
		end
		return _CopiedSoundDevice_set_state(self, type, state)
	end
	log("[SoundDevice:set_state] is Subclassed!!!!")
end

local _Setup_init_managers = Setup.init_managers
function Setup:init_managers(managers)
	_Setup_init_managers(self, managers)
	MicrosoftJacket:init(self.IS_START_MENU)
	--MicrosoftJacketBriefingManager:new(self.IS_START_MENU)
end