local _VoiceBriefingManager_post_event = VoiceBriefingManager.post_event
function VoiceBriefingManager:post_event(event_name, params,...)
	if not event_name or not self._post_event_enabled then
		return
	end
	
	if self._event_instance and self._event_instance.playing and self._event_instance:playing() then
		self._event_instance:destroy_sound_source()
		self._event_instance = nil
	end
	
	local playback = MicrosoftJacket and MicrosoftJacket:_get_sound_playback_from_id(event_name)
	if playback then
		self:stop_event()
		self:_set_parameters(params)
		self._event_name = event_name
		self._event_cookie = params and params.cookie
		self._event_instance = nil
		self._event_instance = playback
		self._event_instance:_play_sounds({
			type = "briefing",
			cookie = params and params.cookie or nil,
			briefing_params = params
		})
		return true
	end
	return _VoiceBriefingManager_post_event(self, event_name, params,...)
end

local _VoiceBriefingManager_event_playing = VoiceBriefingManager.event_playing
function VoiceBriefingManager:event_playing()
	if self._current_snd_play_back and self._current_snd_play_back:playing() then
		return true
	end
	return _VoiceBriefingManager_event_playing(self)
end